Subject: NAME flag incorrectly set
From: Lee Shallis <[email-masked]>
To: [email-masked]
Date: Sat, 24 Jul 2021 11:14:25 +0100
List-Id: <debbugs-submit.debbugs.gnu.org>

I've been following a guide on the deflate algorithm (because I wanted
one where I could control how memory is allocated just as Lua allows)
and found when I put this:

echo "hello hello hello hello" | gzip

into the terminal gzip incorrectly set the NAME flag, it was only
after editing it out I was able to deflate the resulting file, the
same applies for this:

echo -n "abaabbbabaababbaababaaaabaaabbbbbaa" | gzip

Both of which are the examples given on
https://blog.za3k.com/understanding-gzip-2/